Telegram MethodsWallet
wallet.getUserAddresses
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/wallet.getUserAddresses" \ -H "Content-Type: application/json" \ -d '{ "params": { "id": [ { "_": "inputUserEmpty" } ], "addresses": [ "string" ] } }'{ "result": { "_": "wallet.userAddresses", "addresses": [ { "_": "walletUserAddress", "userId": 0, "address": "string", "publicKey": "string" } ], "users": [ { "_": "userEmpty", "id": 0 } ] }, "txid": 0}